#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_vector2eqn, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_count, "", "");
KSYMTAB_FUNC(mlx5_comp_irq_get_affinity_mask, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x4f965fd6, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xbeda8519, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xb1bff7bc, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x5ba46472, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x32d0c0e2, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x82aa5b9c, "");
SYMBOL_CRC(mlx5_cmd_check, 0x62abdd0f, "");
SYMBOL_CRC(mlx5_cmd_do, 0xa6723449, "");
SYMBOL_CRC(mlx5_cmd_exec, 0x5681603f, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x08b40928, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x9a2010dc, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0xa6ed8605, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xc6883fc6, "");
SYMBOL_CRC(mlx5_debugfs_root, 0x9a693661, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x44067b8d, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x5471ded7, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xd4a673a7, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xa64f829f, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x01ca4654, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x4cdc3da3, "");
SYMBOL_CRC(mlx5_eq_enable, 0x1dbd12b0, "");
SYMBOL_CRC(mlx5_eq_disable, 0x50924586, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0xe533ff09, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x5207b52e, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x63aa2496, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xb85b7ff3, "");
SYMBOL_CRC(mlx5_vector2eqn, 0x63eadc44, "");
SYMBOL_CRC(mlx5_comp_vectors_count, 0xbe4e4ed8, "");
SYMBOL_CRC(mlx5_comp_irq_get_affinity_mask, 0xc48acce7, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x692359fc, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x72248b6c, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x7be0a5ef, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x33797416, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xe47c2cdb, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xe94d6ee9, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0xa728a449, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0xefbc9c90, "");
SYMBOL_CRC(mlx5_create_cq, 0x3eb21eb0, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x6591bfa9, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x6c3ac004, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xf0d5cbd4, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xa671611d, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xa7c7dc42, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xcdcb9e55, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0x754d2aaf, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xbeb65826, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x1ed8a439, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xa854a7f6, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xf47fa862, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x1f18c79f, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x40c26af5, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x387b1ab4, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0xdd8529bb, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xe77d7f77, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x011efa90, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x48a446ef, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xb824e4d2, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xd682a34d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x9dfd1bfa, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xfb4dc212, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x5dada0db, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x5cf05377, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0xc3e834e8, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x48268d47, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0xf7a9b088, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x2535f27b, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x6a3c0cea, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x1c5665e3, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x466f2aba, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xb56bf27e, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xa97d3784, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x4c3bb10b, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xd02bf4d2, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x0763184b, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x1318ad28, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x7f351bd9, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x6661fc37, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xa565e819, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x1a3be65b, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x9fc83723, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x0ab578db, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0xdf5ee01f, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0xb92d6951, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xd5a5a17c, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xb38a4406, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x851b5215, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xa07836b3, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x16cc5c82, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x1d94a246, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0xbbf9de4d, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x06154ab8, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xd5bca5d2, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0x9b2eed87, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0x0c834428, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xc130b374, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x3a1698c1, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x31ab7566, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x55a59da4, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xf29e7300, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x1964d1d0, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0xe709546d, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x2647e482, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xcc475718, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x8d25f64a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x385c92d6, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x531e8776, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x3684ecb3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x00a03a70, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x3719f3a3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x56e70172, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x23316072, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xe8b6c0e8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x1b37125b, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x6054d7a8, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x7109ef44, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xd8ec1311, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x1188a8a8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xeeb8531a, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x47a9aaa6, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x8d188340, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x8931210f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x7013b7b1, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x48ce9fa9, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xa760952d, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xcc7dcfd3, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x3fb65bf2, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xf890bdc8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x37812825, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x7a7d97a8, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x1ec18311, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x421664c3, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x132e32cb, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0xaabd708f, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x3687ecaa, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x799f3bf2, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x16206f47, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0x8ecc93df, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xdd898b53, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0xe755c51d, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0xc6a7fcd1, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x16edff29, "");
SYMBOL_CRC(mlx5_msix_free, 0xf6ccb675, "");
SYMBOL_CRC(mlx5_fc_create, 0x2abe499a, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x001fe316, "");
SYMBOL_CRC(mlx5_fc_query, 0xd6093761, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x843b6d5b, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x1fbb8b3b, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x3329cc81, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x8277dd68, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xe39df4b2, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x263037a2, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xbea6f88f, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x09076f78, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x9ec634ab, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0xe9f2768d, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x02076ed9, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x13b4a3fc, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xc3b520b6, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x271f27c4, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x02b8c8cd, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0xa998c162, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x008c3a03, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x7b8afd22, "");
SYMBOL_CRC(mlx5_notifier_register, 0xd84b9e34, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x1c69e7e7, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xc548a85d, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x67ecbf93, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x0e0707b7, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x23d2d824, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x4f0cc246, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x6d98129f, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x1e38486c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb72cffaf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x7fd709fe, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd6c3be3d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbb475e47, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xe58b9092, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x22bce683, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x9d5c6db3, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x872e7c67, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x32fc77d1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe4e09c2b, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x89ccfa9d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xbcc9b278, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x55cf5d48, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x59a17cac, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xc4016598, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xccb50e05, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xfebd6cd2, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x5b152ad1, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x9f38b823, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x001b918e, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xc849fb3b, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xe4fd3871, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0xdf651eb1, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x27d9dcfd, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x0063fd4a, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xddcbaf47, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x6f6a51c6, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x69607330, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x36ccfc7c, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xaf573ad1, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xd13e830b, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xb2b526b3, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xccc4b525, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x9dd97f93, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x9d3a3511, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x729792b4, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x5ce59351, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x64fade05, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x37897e7f, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x7c2103bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xa713a5ad, "__inet_lookup_established" },
	{ 0xbabd6847, "xsk_tx_completed" },
	{ 0xb148b699, "napi_alloc_skb" },
	{ 0x8f3960a7, "alloc_etherdev_mqs" },
	{ 0x62bf22d6, "netdev_lower_get_next" },
	{ 0x51368ecb, "secpath_set" },
	{ 0x3b5eba34, "flow_block_cb_lookup" },
	{ 0x6618d6a4, "pci_save_state" },
	{ 0x129eec25, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2fe48c66, "devl_rate_leaf_create" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x9db92673, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x48e85c8e, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x901036ba, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x5a4a939e, "bpf_prog_put" },
	{ 0x9e493bfb, "page_pool_get_stats" },
	{ 0xe905d337, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4713c0f9, "pci_cfg_access_unlock" },
	{ 0xa0e7c788, "xp_dma_map" },
	{ 0xb5cee0be, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x93935e26, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xeb6463d1, "skb_copy_bits" },
	{ 0xa2703d31, "debugfs_attr_write" },
	{ 0x5f53bb91, "dma_pool_create" },
	{ 0x4f2ec40b, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0xffafcde3, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x740dfdd2, "pci_enable_device" },
	{ 0xa309b335, "skb_put" },
	{ 0xe188f71f, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe5eecdef, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xdccb1f25, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9f341f2c, "register_fib_notifier" },
	{ 0x48a38900, "auxiliary_device_init" },
	{ 0xc7a9d8e7, "ip6_dst_hoplimit" },
	{ 0x89e0ca29, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xed39eb8d, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xac5a789c, "trace_seq_printf" },
	{ 0x92f14b8b, "pci_alloc_irq_vectors" },
	{ 0xe7432c8b, "netif_napi_add_weight" },
	{ 0x9f16432e, "pci_enable_atomic_ops_to_root" },
	{ 0x7f7950f5, "seq_release" },
	{ 0xef13009, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xe33fb547, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xc89e88d9, "xsk_clear_tx_need_wakeup" },
	{ 0xebf707b1, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x69e9f832, "devl_lock" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0xbab3275b, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xbd904237, "ndo_dflt_bridge_getlink" },
	{ 0x387ff808, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xaa465ca8, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xa4c7f45c, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xd49acb6f, "register_netdevice_notifier_dev_net" },
	{ 0xd6b99d8d, "dma_unmap_page_attrs" },
	{ 0xec5107e9, "trace_event_printf" },
	{ 0xaa2a5707, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8851d7a6, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x18bb421a, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x137c00d, "dma_sync_single_for_device" },
	{ 0xdbf04281, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xf80e9139, "pci_num_vf" },
	{ 0xfc63b823, "debugfs_create_atomic_t" },
	{ 0xf36e2213, "flow_rule_match_eth_addrs" },
	{ 0x1215c559, "skb_add_rx_frag" },
	{ 0xb795b5ed, "xfrm_state_check_expire" },
	{ 0x5702a9cf, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x596ea47, "ptp_clock_index" },
	{ 0xd32b8bfd, "pci_request_regions" },
	{ 0xefa08d70, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xd43f1bee, "trace_event_raw_init" },
	{ 0x11f77265, "flow_block_cb_free" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3e1b765, "xp_can_alloc" },
	{ 0x57c6f498, "psample_sample_packet" },
	{ 0xdb91ee53, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x34ae620e, "devlink_alloc_ns" },
	{ 0x8ba6ba39, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xacc1a528, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xec478a3c, "devlink_register" },
	{ 0x6dfd4d8d, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x11db614, "seq_lseek" },
	{ 0x80f1a10, "page_pool_destroy" },
	{ 0x176f83ed, "xdp_do_redirect" },
	{ 0xd27b4638, "devlink_free" },
	{ 0x127ac420, "tls_get_record" },
	{ 0x44a6e90a, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xafc6f2e, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x78bfb5b4, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0xb57ae94d, "udp_tunnel_nic_ops" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x833d394d, "devl_rate_nodes_destroy" },
	{ 0x88b8c1de, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x64ec1e4b, "pci_irq_vector" },
	{ 0x163cde67, "flow_rule_match_ipv4_addrs" },
	{ 0xb6df6cfd, "ip_route_output_flow" },
	{ 0x73cbc5f, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x3d32d3b2, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x50d77695, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0xdd41998c, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x16ea56a5, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xa4196410, "netdev_err" },
	{ 0x214aac10, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x417c12ad, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x633f6227, "dev_driver_string" },
	{ 0xd9632b71, "netdev_port_same_parent_id" },
	{ 0x97f9055, "trace_event_buffer_commit" },
	{ 0xfabfaac0, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x99b45bc3, "ptp_find_pin" },
	{ 0xb385fef0, "eth_type_trans" },
	{ 0x58d601d9, "pci_read_config_dword" },
	{ 0x31ba66bd, "pci_domain_nr" },
	{ 0x481b99c, "request_firmware_direct" },
	{ 0xcb3882b7, "flow_rule_match_icmp" },
	{ 0x30adbf06, "auxiliary_driver_unregister" },
	{ 0xce710837, "dma_map_page_attrs" },
	{ 0x9ec054d5, "trace_seq_putc" },
	{ 0x98c9756f, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x74fe97a1, "devlink_port_attrs_pci_vf_set" },
	{ 0x7594c9, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0x8b9bf6c6, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6365eec, "put_device" },
	{ 0x904a5f07, "trace_event_ignore_this_pid" },
	{ 0x7f52071a, "net_dim" },
	{ 0xa38dbe9e, "__napi_schedule" },
	{ 0x78ec0df9, "devlink_port_health_reporter_create" },
	{ 0x613bd3b5, "pcie_relaxed_ordering_enabled" },
	{ 0x800868c1, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd9461a9, "kmalloc_node_trace" },
	{ 0xd334b02e, "devlink_port_attrs_pci_pf_set" },
	{ 0x99c541b, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xea2f88b6, "netif_device_detach" },
	{ 0x3057c3b4, "__free_pages" },
	{ 0xde32c5bc, "kmem_cache_alloc" },
	{ 0xacd96788, "_dev_info" },
	{ 0x9f7bbcb3, "skb_vlan_pop" },
	{ 0xea943ece, "napi_gro_receive" },
	{ 0x1eff38ac, "netif_device_attach" },
	{ 0xa42be4e8, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xb0668c6, "netdev_pick_tx" },
	{ 0xca1542dd, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x37a6899a, "xp_raw_get_dma" },
	{ 0xd576bf12, "eth_get_headlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xdb00ec30, "xdp_rxq_info_is_reg" },
	{ 0x271064c2, "flow_rule_match_enc_opts" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x86abc6e3, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0x22271582, "free_fib_info" },
	{ 0x83c20a09, "devl_health_reporter_create" },
	{ 0xddf76f11, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0x63e79e4a, "pci_msix_can_alloc_dyn" },
	{ 0x9c8b44a3, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5105d966, "unregister_netdevice_notifier_dev_net" },
	{ 0x372d1c39, "pci_find_capability" },
	{ 0x1a476acb, "build_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x1f88a06d, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4d2b44d, "debugfs_attr_read" },
	{ 0x7732159c, "free_irq_cpu_rmap" },
	{ 0xf51e25f3, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x9f442f76, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xe3e20c84, "pci_msix_free_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe273d75d, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x20e41cc9, "__dev_get_by_index" },
	{ 0x93d21a2a, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xe0745ba8, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xb1dc5547, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xcfe7273d, "_dev_err" },
	{ 0x99bd8f17, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xc50e7584, "softnet_data" },
	{ 0x29ebfb6b, "ipv6_stub" },
	{ 0xdc8d07d6, "simple_open" },
	{ 0xbcbecbc5, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf1902582, "bus_find_device" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x40aecf59, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4cb0c441, "simple_attr_release" },
	{ 0xa2c5a628, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x521e32c0, "xp_dma_sync_for_cpu_slow" },
	{ 0xe37d16c4, "xsk_tx_peek_desc" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x7ef9c83e, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0xf1da2084, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x29fdc673, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x910e125c, "irq_get_irq_data" },
	{ 0x74c4d60a, "dev_remove_pack" },
	{ 0xfa022da0, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x6b0dc7ae, "dev_get_by_index" },
	{ 0x9fd292f4, "bpf_trace_run5" },
	{ 0xae7ba3fb, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xdcac4c59, "skb_store_bits" },
	{ 0x6247554a, "devl_port_register_with_ops" },
	{ 0x8cdd606, "dev_get_by_index_rcu" },
	{ 0xa4efbf70, "kfree_skb_reason" },
	{ 0x3e6e234a, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x18143ee4, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x94b27635, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc4cc1f0a, "skb_push" },
	{ 0x2c42619, "kmem_cache_free" },
	{ 0xbb0b7b44, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xd53e8a09, "debugfs_remove" },
	{ 0xfcb5aafd, "pci_read_config_word" },
	{ 0x78789105, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x834247f1, "xsk_clear_rx_need_wakeup" },
	{ 0x2af50d34, "unregister_netdevice_notifier_net" },
	{ 0xd406c93b, "xsk_uses_need_wakeup" },
	{ 0xa0e1d0d5, "register_netdev" },
	{ 0xff2bbf30, "unregister_fib_notifier" },
	{ 0x135096a3, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xad4aee39, "strncpy" },
	{ 0x6ba3f082, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x13b02dc3, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x30dc0b76, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xbc47eee3, "debugfs_create_size_t" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x585715f9, "devl_params_register" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xf31c0d52, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x69780232, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9611b2f6, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x28fc51c3, "pci_restore_state" },
	{ 0x61c99d34, "bpf_trace_run1" },
	{ 0x76319c7a, "__inet6_lookup_established" },
	{ 0x15999a3e, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x83246dfc, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xe8aa0f70, "dma_sync_single_for_cpu" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x5f8dc65a, "page_pool_create" },
	{ 0x737a9dc7, "skb_checksum" },
	{ 0x3f685ac, "devl_param_driverinit_value_set" },
	{ 0x2583307d, "_dev_warn" },
	{ 0xde6af452, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x89d01379, "irq_cpu_rmap_remove" },
	{ 0x3f43ffb1, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc6032805, "devl_resources_unregister" },
	{ 0x7b14189c, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xe33e49d8, "netif_schedule_queue" },
	{ 0xab1b549, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0xa29c2e6a, "pci_set_master" },
	{ 0x1d5e3824, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6225093f, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xfba8daf, "flow_rule_match_ipv6_addrs" },
	{ 0x443eb4b7, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x4a854aee, "devl_params_unregister" },
	{ 0x99373fda, "ptp_clock_unregister" },
	{ 0x52e77a93, "__pskb_pull_tail" },
	{ 0xe2be499, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x57c689a9, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x341533b4, "devlink_trap_report" },
	{ 0x5dc2dc1f, "__neigh_event_send" },
	{ 0x97ed8c1b, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x5d0a606b, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x84479cf3, "devl_traps_register" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xbc5f4a16, "devl_unlock" },
	{ 0xc352261e, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xbdfdf874, "dma_set_coherent_mask" },
	{ 0x62e7932f, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xf983ef96, "flow_rule_match_enc_control" },
	{ 0xa9425011, "bpf_trace_run3" },
	{ 0x1ab96a29, "seq_read" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x298e58f0, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xfb22e193, "debugfs_create_file" },
	{ 0xdf74cdb5, "rps_may_expire_flow" },
	{ 0x5a9f0c55, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xcbd4a7e9, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x447d718e, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3b4880e5, "netdev_reset_tc" },
	{ 0x3384cc02, "neigh_destroy" },
	{ 0xbea2bf37, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbc281e3e, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x815785a, "debugfs_create_x32" },
	{ 0x9a3be07, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x605bb677, "flow_rule_match_enc_ports" },
	{ 0xf48e3530, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd0004424, "pci_release_regions" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x6a06b173, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x5d358b15, "devl_assert_locked" },
	{ 0x23f64d05, "pcie_print_link_status" },
	{ 0xc3ceb7a6, "xp_set_rxq_info" },
	{ 0xb8be4afb, "flow_rule_match_vlan" },
	{ 0xb739b054, "alloc_pages" },
	{ 0xbb94260a, "devl_port_unregister" },
	{ 0xb6b9a37, "xdp_rxq_info_unreg" },
	{ 0x620af38d, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x816a62f3, "devl_param_driverinit_value_get" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xd88d8326, "netdev_master_upper_dev_get_rcu" },
	{ 0x9bc282e8, "__folio_put" },
	{ 0x63587056, "__xdp_rxq_info_reg" },
	{ 0x766a22fb, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe38f8e86, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3521a54, "bpf_prog_inc" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7a80e73e, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbc82128e, "netif_carrier_off" },
	{ 0x6645eee6, "seq_printf" },
	{ 0x91a15649, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x84eaa825, "devlink_priv" },
	{ 0x712914, "devlink_port_register_with_ops" },
	{ 0x908a231d, "pci_disable_sriov" },
	{ 0x7bc9bb96, "metadata_dst_alloc" },
	{ 0xa4bc9623, "dst_release" },
	{ 0xb12a2a03, "netif_carrier_on" },
	{ 0xe4242025, "netdev_set_num_tc" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x8b02d457, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x426afc98, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0x51046024, "seq_puts" },
	{ 0x201843b6, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xb2abb3e2, "page_pool_update_nid" },
	{ 0x332e7734, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xe6cec81e, "dma_set_mask" },
	{ 0xeed82e3c, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb83445cb, "netif_set_tso_max_size" },
	{ 0xddb6c0ac, "vlan_dev_vlan_id" },
	{ 0xb6527c07, "__skb_flow_dissect" },
	{ 0x2d046dfb, "pci_msix_alloc_irq_at" },
	{ 0xf026e87, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0x2462aa8e, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x245711b4, "xp_raw_get_data" },
	{ 0xd202d4a6, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0xe9a2d749, "napi_schedule_prep" },
	{ 0x53fc11f4, "qdisc_reset" },
	{ 0xa107054d, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0xb59b47ff, "xp_alloc_batch" },
	{ 0x20d3e2fd, "flow_rule_match_mpls" },
	{ 0x7fb0d8c5, "napi_disable" },
	{ 0x184fa75d, "dev_kfree_skb_any_reason" },
	{ 0xa638a983, "dcb_ieee_delapp" },
	{ 0x20ee2b42, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xef28d9f0, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ad967f, "debugfs_create_u8" },
	{ 0x7e6e9808, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x349cba85, "strchr" },
	{ 0xad299b78, "ioremap_wc" },
	{ 0xc88dc1f, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0xcb61631e, "skb_ext_add" },
	{ 0xb3d5ab2e, "pcie_bandwidth_available" },
	{ 0xeff1ec40, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x5367e7f9, "flow_rule_match_control" },
	{ 0x2aa98264, "flow_rule_match_ip" },
	{ 0xb535f3ec, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x811701b9, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x30afd69a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9a53e341, "xsk_tx_release" },
	{ 0x417a0b5f, "devl_traps_unregister" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1922f737, "pci_iov_get_pf_drvdata" },
	{ 0xaf45fa30, "pci_write_config_dword" },
	{ 0x2472c713, "pci_bus_type" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0x1b79e0e0, "netdev_info" },
	{ 0xbac39d78, "neigh_lookup" },
	{ 0xe6d6be49, "kmem_cache_destroy" },
	{ 0xc9e3dcfb, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "2958D821E4702B2FE7C1E26");
MODULE_INFO(rhelversion, "9.5");
