#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xed51f121, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x5a275a6f, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xc0f71de4, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x4a9171cf, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x117df6af, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x9c57aa32, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x81f5f2c9, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x9778d7f5, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x60354bef, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x2827d8c3, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x052ab702, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xca8fb4f7, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xc957a785, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xfe5d1001, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xa7c5936e, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x382ce661, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x5ac5d3a9, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x675fbb8d, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x897762cb, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xc3afbe69, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x6988f156, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x8e5f6070, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xf61856c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7478b743, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x79856179, "icmpv6_ndo_send" },
	{ 0x7959fb3d, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x70037b53, "alloc_netdev_mqs" },
	{ 0xc02e7d28, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x30dc0b76, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb947f843, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb6df6cfd, "ip_route_output_flow" },
	{ 0xa4bc9623, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0x20e41cc9, "__dev_get_by_index" },
	{ 0xf5e75d7a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc2697b81, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x68f82007, "netdev_state_change" },
	{ 0xd133136a, "ns_capable" },
	{ 0xa81bdfd6, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99bd8f17, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xeb6463d1, "skb_copy_bits" },
	{ 0xa4efbf70, "kfree_skb_reason" },
	{ 0x407b5e82, "pskb_expand_head" },
	{ 0x8f396413, "__skb_get_hash" },
	{ 0x349e5db5, "dst_cache_get_ip4" },
	{ 0xc3895abf, "dst_cache_set_ip4" },
	{ 0x2607716d, "iptunnel_xmit" },
	{ 0x52e77a93, "__pskb_pull_tail" },
	{ 0x72dabdfe, "skb_scrub_packet" },
	{ 0xb52410b6, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xb385fef0, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3384cc02, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EDC69CC7537D110380AB2A7");
MODULE_INFO(rhelversion, "9.5");
