#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smc_hash_sk, "_gpl", "");
KSYMTAB_FUNC(smc_unhash_sk, "_gpl", "");
KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_hash_sk, 0xb67f50b9, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0x1cecc6db, "_gpl");
SYMBOL_CRC(smc_proto, 0x59aa955f, "_gpl");
SYMBOL_CRC(smc_proto6, 0x0e799c62, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x8989d6ae, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0x0775d14a, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfb8cae0f, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x99bf1b00, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x4c73ea16, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xb3f2d173, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x1b1e06e1, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x2e6d81c1, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3153cc92, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xcd9701fe, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x25376342, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe7dacb8d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62bf22d6, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9a9a27bf, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x901036ba, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x1f98a8cd, "ism_register_client" },
	{ 0x90703831, "ib_unregister_client" },
	{ 0xe490a328, "_copy_to_iter" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xbb652606, "__nlmsg_put" },
	{ 0xfa1c059a, "proc_dointvec_jiffies" },
	{ 0xd0dfac32, "pnet_id_by_dev_port" },
	{ 0x3c1163f5, "devm_kmalloc" },
	{ 0xa326115f, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x18a75dad, "vmalloc_to_page" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe33fb547, "trace_raw_output_prep" },
	{ 0x67adc56, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x86a27da0, "__ib_alloc_pd" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xd6b99d8d, "dma_unmap_page_attrs" },
	{ 0xec5107e9, "trace_event_printf" },
	{ 0x6ebada95, "kernel_bind" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x137c00d, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x5e290c8e, "genlmsg_put" },
	{ 0xd43f1bee, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x9d1ed904, "ib_dereg_mr_user" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xafc6f2e, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x88b8c1de, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe9043928, "kernel_accept" },
	{ 0x41f7e17a, "rdma_dev_access_netns" },
	{ 0xdb9706c1, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb6df6cfd, "ip_route_output_flow" },
	{ 0x2b98724c, "get_device" },
	{ 0x9f400c92, "sk_stream_error" },
	{ 0x5ce91ef2, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x17140cbe, "sock_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4e43a431, "sk_error_report" },
	{ 0x835193b, "register_pernet_subsys" },
	{ 0x633f6227, "dev_driver_string" },
	{ 0x97f9055, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xa168c85c, "tcp_abort" },
	{ 0x26e21e55, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xce710837, "dma_map_page_attrs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x8ea5c4c3, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x6feee58c, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37b8821f, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6365eec, "put_device" },
	{ 0x904a5f07, "trace_event_ignore_this_pid" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x2c57abfe, "ib_register_event_handler" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc36dc0d0, "__alloc_skb" },
	{ 0x27306934, "kernel_sendpage" },
	{ 0x3057c3b4, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x3f2944e5, "ib_unregister_event_handler" },
	{ 0x9ae9e0eb, "proto_register" },
	{ 0x93e3b585, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x1d7c62fc, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x212e648e, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x71a69372, "generic_pipe_buf_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x93d21a2a, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xc87c4e16, "ib_set_client_data" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x285c69c4, "__traceiter_sk_data_ready" },
	{ 0x99bd8f17, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x92c8898e, "netlink_unicast" },
	{ 0x73132616, "rdma_put_gid_attr" },
	{ 0x3cd9512f, "ism_get_smcd_ops" },
	{ 0x20a6cd4c, "kernel_getsockname" },
	{ 0x81ad0a21, "sk_free" },
	{ 0x2b41dcb7, "sock_wake_async" },
	{ 0xa4efbf70, "kfree_skb_reason" },
	{ 0x704bd36a, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x453f8628, "ib_query_port" },
	{ 0x85abc85f, "strncmp" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x135096a3, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf126b288, "proc_douintvec_minmax" },
	{ 0xf50d13a8, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4dc13777, "iov_iter_kvec" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xab5eb688, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe68b6b3e, "__ib_create_cq" },
	{ 0x11089ac7, "_ctype" },
	{ 0x6ac3211a, "sk_alloc" },
	{ 0xda8f3dd4, "ib_destroy_qp_user" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd5697db6, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xe8aa0f70, "dma_sync_single_for_cpu" },
	{ 0x52f01896, "kernel_connect" },
	{ 0x35a75730, "sock_no_socketpair" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x1c94f096, "sk_wait_data" },
	{ 0xb8e97783, "proc_douintvec" },
	{ 0x8fcd6cd3, "ib_alloc_mr" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd7a426b0, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x4010a809, "ib_destroy_cq_user" },
	{ 0x103bafd6, "down_read" },
	{ 0xce9c633b, "skb_trim" },
	{ 0x405421f5, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xf1a0eb84, "tcp_register_ulp" },
	{ 0xe9515598, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4d499a0a, "kernel_listen" },
	{ 0x6ce92a0d, "ib_dma_virt_map_sg" },
	{ 0x3384cc02, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xbc281e3e, "trace_event_buffer_reserve" },
	{ 0xb1e1f876, "ism_unregister_client" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xa3935d49, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xb739b054, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x9bc282e8, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7003b6ce, "sock_recvmsg" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8992fecb, "dev_get_by_name" },
	{ 0xa4bc9623, "dst_release" },
	{ 0xa7bdb18a, "sk_stream_wait_connect" },
	{ 0xfb725c41, "_copy_from_iter" },
	{ 0xaefa3774, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc9877538, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x681d9ae, "netdev_walk_all_lower_dev" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xddb6c0ac, "vlan_dev_vlan_id" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xeae2283e, "ib_dealloc_pd_user" },
	{ 0xb16b0cd5, "rdma_get_gid_attr" },
	{ 0x92979ff4, "dma_unmap_sg_attrs" },
	{ 0x25165c0e, "genl_unregister_family" },
	{ 0xad5ae412, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe882db82, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x871c9863, "genl_register_family" },
	{ 0x11bd079f, "kernel_sendmsg" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9ab2df5a, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xfb8a4037, "kmalloc_caches" },
	{ 0x380bd717, "release_sock" },
	{ 0xd2fc3996, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x7f80be1a, "module_layout" },
};

MODULE_INFO(depends, "ism,ib_core,pnet");


MODULE_INFO(srcversion, "295B77AFA36D295C57B4837");
MODULE_INFO(rhelversion, "9.5");
